Schedule demo
 
 

Download APM Insight Agent for Applications Manager

APM Insight is an add-on in Applications Manager that offers deep application insights with the help of agents. APM Insight agent is not a standalone product, it will work only in combination with ManageEngine Applications Manager.

To start using the APM Insight module in Applications Manager, you have to install the necessary agents based on your environment. Select the appropriate agents from the links below:

APM Insight Java Agent

Who should upgrade? Agent Downloads Agent Version
Customers using builds 16530 & above apminsight-javaagent_v16530.zip (Supported for Java 1.8 to 16)
6.0.1
Customers using builds 15510 & 16520 apminsight-javaagent.zip (Supported for Java 1.5 to 16)
5.5

APM Insight .NET Agent

Who should upgrade? Agent Downloads Agent Version
Customers using build No. 14440 & above apminsight-dotnetagent.msi*
6.5.1
Customers using build No. 14430 & below apminsight-dotnetagent.msi*
2.5.4
* Supported for .NET Framework Version 3.0 & above IIS 6.0 & above

APM Insight .NET Core Agent

Who should upgrade? Agent Downloads Agent Version
Customers using build No. 14570 & above apminsight-dotnetcoreagent.zip
6.5.1
* Supported for .NET Core Version 2.0 to 3.1 & .NET Version 5.0 to 7.0

APM Insight Node.js Agent

Who should upgrade? Agent Downloads Agent Version
Customers using build No. 16610 & above apm_insight_agent_nodejs.zip
4.3.0
Customers using build No. 14440 to 16600 apm_insight_agent_nodejs.zip
2.2.2

APM Insight PHP Agent

Who should upgrade? Agent Downloads Agent Version
Customers using build No. 16700 & above Windows | Linux(glibc) | Linux(glibc arm) | Linux(musl)
4.4 (supports PHP v7.0 - v8.3)
Customers using build No. 14440 & 16690 Windows | Linux (glibc) | Linux (glibc arm) | Linux (musl)
3.5.1 (supports PHP v5.5 - v8.1)
* DataExporter service installation is mandatory for this agent monitoring.

APM Insight Ruby on Rails Agent

Who should upgrade? Agent Downloads Agent Version
Customers using build No. 14440 & 16690 apminsight.gem*
1.9.0
Customers using build No. 14430 & below apminsight-1.1.gem*
1.1
* Supported for Ruby 1.8.7 & above and Rails 3.0 & above

APM Insight Python Agent

Who should upgrade? Agent Downloads Agent Version
Customers using build No. 16650 & above apm_insight_agent_python.zip
1.1
* DataExporter service installation is mandatory for this agent monitoring.

Data Exporter

Who should upgrade? Exporter Downloads Exporter Version


Customers using build No. 16650 & above
Windows | Linux | ARM
(Supported for PHP Agent v4.5)
1.5
Windows | Linux | ARM
(Supported for PHP Agent v4.0 - v4.4 & Python Agent v1.1)
1.4.1
* Supported for PHP and Python

Loved by customers all over the world

"Standout Tool With Extensive Monitoring Capabilities"

It allows us to track crucial metrics such as response times, resource utilization, error rates, and transaction performance. The real-time monitoring alerts promptly notify us of any issues or anomalies, enabling us to take immediate action.

Reviewer Role: Research and Development

"I like Applications Manager because it helps us to detect issues present in our servers and SQL databases."
Carlos Rivero

Tech Support Manager, Lexmark

Trusted by over 6000+ businesses globally